Package org.pushingpixels.flamingo.api.ribbon

# Interface RibbonApplicationMenuEntryPrimary.PrimaryRolloverCallback

Enclosing class:
  `RibbonApplicationMenuEntryPrimary`

public static interface RibbonApplicationMenuEntryPrimary.PrimaryRolloverCallback
Callback that allows application code to provide custom content on the secondary panel of the `RibbonApplicationMenu`.

## Method Summary

Modifier and Type
Method
Description
`void`
`menuEntryActivated(JPanel targetPanel)`
Called when the matching primary menu item is activated.

## Method Details

### menuEntryActivated

void menuEntryActivated(JPanel targetPanel)
Called when the matching primary menu item is activated.

Parameters:
  `targetPanel` - The secondary panel of the `RibbonApplicationMenu`. Note that the application code must not change the parent hierarchy of this panel.